Bug 176538 - audio/quimup: Update to version 1.3.0
Summary: audio/quimup: Update to version 1.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-02 15:10 UTC (History)
0 users

See Also:


Attachments
file.diff (3.94 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:04 UTC
- Update to version 1.3.0
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:11:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-03-01 15:01:53 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-03-02 14:54:50 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-03-02 14:55:02 UTC
Author: miwi
Date: Sat Mar  2 14:54:49 2013
New Revision: 313254
URL: http://svnweb.freebsd.org/changeset/ports/313254

Log:
  - Update to 1.3.0
  
  PR:		176538
  Submitted by:	Ports Fury

Modified:
  head/print/typetools/Makefile
  head/print/typetools/distinfo   (contents, props changed)

Modified: head/print/typetools/Makefile
==============================================================================
--- head/print/typetools/Makefile	Sat Mar  2 14:54:19 2013	(r313253)
+++ head/print/typetools/Makefile	Sat Mar  2 14:54:49 2013	(r313254)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	typetools
-PORTVERSION=	2.92
-PORTREVISION=	1
+PORTVERSION=	2.97
 CATEGORIES=	print
 MASTER_SITES=	http://www.lcdf.org/type/
 DISTNAME=	lcdf-${PORTNAME}-${PORTVERSION}
@@ -11,11 +10,14 @@ DISTNAME=	lcdf-${PORTNAME}-${PORTVERSION
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Tools for manipulating fonts
 
+LICENSE=	GPLv2
+
 BUILD_DEPENDS=	${LOCALBASE}/lib/libkpathsea.a:${PORTSDIR}/print/teTeX-base
 
-MAKE_JOBS_SAFE=	yes
 GNU_CONFIGURE=	yes
+CONFIGURE_ENV=	ac_cv_header_kpathsea_kpathsea_h=yes
 CONFIGURE_ARGS=	--with-kpathsea=${LOCALBASE}
+MAKE_JOBS_SAFE=	yes
 
 MAN1=		cfftot1.1 mmafm.1 mmpfb.1 otfinfo.1 otftotfm.1 t1dotlessj.1 \
 		t1lint.1 t1rawafm.1 t1reencode.1 t1testpage.1 ttftotype42.1

Modified: head/print/typetools/distinfo
==============================================================================
--- head/print/typetools/distinfo	Sat Mar  2 14:54:19 2013	(r313253)
+++ head/print/typetools/distinfo	Sat Mar  2 14:54:49 2013	(r313254)
@@ -1,2 +1,2 @@
-SHA256 (lcdf-typetools-2.92.tar.gz) = a7a9eeab572f4f392870f6e70e291235af18633b30ac179342efb5e99b426860
-SIZE (lcdf-typetools-2.92.tar.gz) = 588653
+SHA256 (lcdf-typetools-2.97.tar.gz) = 761746041c669fa3673a3e90ec7a247abd0e2782bdddf0fc5d7ab70b33b6f975
+SIZE (lcdf-typetools-2.97.tar.gz) = 616431
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2013-03-02 15:00:27 UTC
Author: miwi
Date: Sat Mar  2 15:00:14 2013
New Revision: 313257
URL: http://svnweb.freebsd.org/changeset/ports/313257

Log:
  - Update to version 1.3.0
  
  PR:		176538
  Submitted by:	Ports Fury

Modified:
  head/audio/quimup/Makefile
  head/audio/quimup/distinfo   (contents, props changed)
  head/audio/quimup/pkg-descr   (contents, props changed)

Modified: head/audio/quimup/Makefile
==============================================================================
--- head/audio/quimup/Makefile	Sat Mar  2 14:57:42 2013	(r313256)
+++ head/audio/quimup/Makefile	Sat Mar  2 15:00:14 2013	(r313257)
@@ -2,54 +2,42 @@
 # $FreeBSD$
 
 PORTNAME=	quimup
-PORTVERSION=	1.2.0
-PORTREVISION=	1
+PORTVERSION=	1.3.0
 CATEGORIES=	audio
-MASTER_SITES=	SF
-MASTER_SITE_SUBDIR=musicpd/Quimup/${PORTVERSION}
-DISTNAME=	${PORTNAME}_${DISTVERSION}_source
+MASTER_SITES=	SF/musicpd/Quimup/${PORTVERSION}
+DISTNAME=	${PORTNAME}_${PORTVERSION}_src
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	QT4 Client for MPD (the Music Player Daemon)
+COMMENT=	Qt4 Client for MPD (the Music Player Daemon)
 
-LIB_DEPENDS=	mpdclient.2:${PORTSDIR}/audio/libmpdclient
+LICENSE=	GPLv2 # (or later)
 
-USE_QT4=	corelib gui network \
-		qmake_build moc_build rcc_build uic_build
-QMAKE_ARGS=	PREFIX=${PREFIX}
+LIB_DEPENDS=	mpdclient:${PORTSDIR}/audio/libmpdclient
 
 WRKSRC=		${WRKDIR}/${PORTNAME}_${PORTVERSION}
 
+USE_QT4=	corelib gui network \
+		moc_build qmake_build rcc_build uic_build
+MAKE_JOBS_SAFE=	yes
+
 PLIST_FILES=	bin/${PORTNAME} \
-		share/icons/hicolor/32x32/apps/${PORTNAME}.png \
-		share/icons/hicolor/48x48/apps/${PORTNAME}.png \
-		share/icons/hicolor/64x64/apps/${PORTNAME}.png
-PLIST_DIRS=	share/icons/hicolor/32x32/apps \
-		share/icons/hicolor/32x32 \
-		share/icons/hicolor/48x48/apps \
-		share/icons/hicolor/48x48 \
-		share/icons/hicolor/64x64/apps \
-		share/icons/hicolor/64x64 \
-		share/icons/hicolor \
-		share/icons
+		share/pixmaps/${PORTNAME}.png
+
+DESKTOP_ENTRIES="Quimup" "" "${PREFIX}/share/pixmaps/${PORTNAME}.png" \
+		"${PORTNAME}" "Audio;AudioVideo;Qt;" true
 
-.include  <bsd.port.pre.mk>
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|qt release -O2|qt| ; \
+		 s|/usr/lib/|${LOCALBASE}/lib/| ; \
+		 s|^QMAKE_|#QMAKE_|' ${WRKSRC}/${PORTNAME}.pro
 
 do-configure:
-	${REINPLACE_CMD} -e 's|/usr/lib/libmpdclient.so|${LOCALBASE}/lib/libmpdclient.so|' \
-		${WRKSRC}/${PORTNAME}.pro
-	cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${QMAKE} ${QMAKE_ARGS}
+	@(cd ${WRKSRC} && ${SETENV} ${MAKE_ENV} ${QMAKE} ${QMAKEFLAGS})
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-	${MKDIR} ${PREFIX}/share/icons/hicolor/32x32/apps
-	${MKDIR} ${PREFIX}/share/icons/hicolor/48x48/apps
-	${MKDIR} ${PREFIX}/share/icons/hicolor/64x64/apps
-	${INSTALL_DATA} ${WRKSRC}/Icons/${PORTNAME}32.png \
-		${PREFIX}/share/icons/hicolor/32x32/apps/${PORTNAME}.png
-	${INSTALL_DATA} ${WRKSRC}/Icons/${PORTNAME}48.png \
-		${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png
-	${INSTALL_DATA} ${WRKSRC}/Icons/${PORTNAME}64.png \
-		${PREFIX}/share/icons/hicolor/64x64/apps/${PORTNAME}.png
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} ${PORTNAME} ${PREFIX}/bin)
+	(cd ${WRKSRC}/src/resources && ${INSTALL_DATA} mn_icon.png \
+		${PREFIX}/share/pixmaps/${PORTNAME}.png)
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>

Modified: head/audio/quimup/distinfo
==============================================================================
--- head/audio/quimup/distinfo	Sat Mar  2 14:57:42 2013	(r313256)
+++ head/audio/quimup/distinfo	Sat Mar  2 15:00:14 2013	(r313257)
@@ -1,2 +1,2 @@
-SHA256 (quimup_1.2.0_source.tar.gz) = 194632a593df5c326222d61cd12fd2d0fa96438e25bf79efc82877070e12ebac
-SIZE (quimup_1.2.0_source.tar.gz) = 231147
+SHA256 (quimup_1.3.0_src.tar.gz) = 9a3a93285c66ffa96b3c66399ec9ac88b7d5ecf2559a868dca93a08158a3bae5
+SIZE (quimup_1.3.0_src.tar.gz) = 245760

Modified: head/audio/quimup/pkg-descr
==============================================================================
--- head/audio/quimup/pkg-descr	Sat Mar  2 14:57:42 2013	(r313256)
+++ head/audio/quimup/pkg-descr	Sat Mar  2 15:00:14 2013	(r313257)
@@ -1,5 +1,5 @@
 QUIMUP is a 'graphical' client for the music player daemon (MPD)
-written in C++ and QT4.
+written in C++ and Qt4.
 
 Features include:
 
@@ -13,4 +13,4 @@ Features include:
 * Open folder in external programs to edit tags etc.
 * Generally a quick and clean application.
 
-WWW: http://coonsden.com/?page_id=145
+WWW: http://coonsden.com/?cat=4
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"